<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Marketplace
 * @author    Webkul
 * @copyright Copyright (c) 2010-2016 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

// @codingStandardsIgnoreFile

/** @var $block \Webkul\Marketplace\Block\Product\Create */

$helper = $this->helper('Webkul\Marketplace\Helper\Data');
$product_hint_status = $helper->getProductHintStatus();
$currency_code = $helper->getCurrentCurrencyCode();
$currency_symbol = $helper->getCurrencySymbol();
$product_id=$this->getRequest()->getParam('id');
$product_coll = $block->getProduct($product_id);
$attribute_set_id = $product_coll['attribute_set_id'];
if($this->getRequest()->getParam('set')){
	$attribute_set_id = $this->getRequest()->getParam('set');
}
?>
<form action="<?php echo $block->getUrl('marketplace/product/save', ['_secure' => $this->getRequest()->isSecure()]) ?>" enctype="multipart/form-data" method="post" id="edit-product" data-form="edit-product" data-mage-init='{"validation":{}}'>
	<div class="wk-mp-design" id="wk-bodymain">
		<fieldset class="fieldset info wk-mp-fieldset">
			<legend class="legend">
				<span><?php echo __('Edit Product') ?></span>
				<button class="button wk-mp-btn" title="<?php echo __('Save') ?>" type="submit" id="save-btn">
					<span><span><?php echo __('Save') ?></span></span>
				</button>
			</legend>			
			<?php echo $block->getBlockHtml('formkey')?>
			<input id="product_type_id" name="type" type="hidden" value="<?php echo $product_coll['type_id']?>">					
			<input type="hidden" name="id" value="<?php echo $product_id; ?>" />
			<input type="hidden" name="product_id" value="<?php echo $product_id; ?>" />
			<input type="hidden"  name="product[website_ids][]" id="website" value="<?php echo $product_coll->getStore()->getWebsiteId()?>" title="wstoreids" class="" />	
			<div class="field required">
				<label class="label"><?php echo __('Attribute Set') ?>:</label>
				<div class="control">
					<select name="set" id="attribute-set-id"  class="required-entry">
					<?php foreach($helper->getAllowedSets() as $set) {?>
						<option value="<?php echo $set['value'] ?>" <?php if($attribute_set_id==$set['value']){ ?> selected="selected" <?php } ?>><?php echo $set['label']?></option>
					<?php } ?>
					</select>
				</div>
			</div>		
			<div class="field">
				<label class="label"><?php echo __('Product Category') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintCategory()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintCategory() ?>"/>
				<?php
				} ?>
				<div class="wk-field wk-category">
					<div class="wk-for-validation">
						<div id="wk-category-label"><?php echo __("CATEGORIES"); ?></div>
						<?php 
						$categories = $product_coll->getCategoryIds();
						$cat_ids=implode(",",$categories);
						foreach ($categories as $value) {
							?>
							<input type="hidden" name="product[category_ids][]" value="<?php echo $value; ?>" id="wk-cat-hide<?php echo $value; ?>"/>
							<?php
						}
						?>
            			<?php
            			if($helper->getAllowedCategoryIds()){
            				$storeconfig_catids = explode(',',trim($helper->getAllowedCategoryIds()));
            				foreach($storeconfig_catids as $storeconfig_catid)	{
            					$cat_model = $block->getCategory()->load($storeconfig_catid); 
            					if(isset($cat_model["entity_id"]) && $cat_model["entity_id"]){
	            					?>
									<div class="wk-cat-container">
										</span><span class="wk-foldersign"></span>
										<span class="wk-elements wk-cat-name"><?php echo $cat_model->getName() ?></span>
										<?php 
										if(in_array($cat_model["entity_id"],$categories)) {?>
											<input class="wk-elements" type="checkbox" name="product[category_ids][]" value=<?php echo $cat_model['entity_id'] ?> checked />
										 	<?php 
										}else { ?>
											<input class="wk-elements" type="checkbox" name="product[category_ids][]" value='<?php echo $cat_model['entity_id'] ?>'/>
										<?php 
										} ?>
									</div> 
							   		<?php 
							   	}
            				}
            			}else{
	            			$count = 0;
							$category_helper = $this->helper('Magento\Catalog\Helper\Category');
							$category_model = $block->getCategory();
							$_categories = $category_helper->getStoreCategories();
							foreach($_categories as $_category)	{
								$count++;
							 	if(count($category_model->getAllChildren($category_model->load($_category['entity_id'])))-1 > 0){ ?>
									<div class="wk-cat-container" style="margin-left:0px;">
										<span class="wk-plus">
										</span><span class="wk-foldersign"></span>
										<span class="wk-elements wk-cat-name"><?php echo $_category->getName() ?></span>
										<?php 
										if(in_array($_category["entity_id"],$categories)) {?>
											<input class="wk-elements" type="checkbox" name="product[category_ids][]" value=<?php echo $_category['entity_id'] ?> checked />
										 	<?php 
										}else { ?>
											<input class="wk-elements" type="checkbox" name="product[category_ids][]" value='<?php echo $_category['entity_id'] ?>'/>
										<?php 
										} ?>
									</div>
									<?php
								}else { ?>
									<div class="wk-cat-container">
										</span><span class="wk-foldersign"></span>
										<span class="wk-elements wk-cat-name"><?php echo $_category->getName() ?></span>
										<?php 
										if(in_array($_category["entity_id"],$categories)) {?>
											<input class="wk-elements" type="checkbox" name="product[category_ids][]" value=<?php echo $_category['entity_id'] ?> checked />
										 	<?php 
										}else { ?>
											<input class="wk-elements" type="checkbox" name="product[category_ids][]" value='<?php echo $_category['entity_id'] ?>'/>
										<?php 
										} ?>
									</div> 
							   		<?php 
								}
						    } 
					    } ?>
					</div>
				</div>
			</div>
			<div class="field required">
				<label class="label"><?php echo __('Product Name') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintName()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintName() ?>"/>
				<?php
				} ?>
				<div class="control">
					<input type="text" class="required-entry input-text" name="product[name]" id="name" value="<?php echo $product_coll->getName(); ?>"/>
				</div>
			</div>
			<div class="field required">
				<label class="label"><?php echo __('Product URL Key') ?>:</label>
				<div class="control">
					<input type="text" class="required-entry input-text" name="product[url_key]" id="url_key" value="<?php echo $product_coll->getUrlKey(); ?>"/>
				</div>
			</div>
			<div class="field required">
				<label class="label"><?php echo __('Description') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintDesc()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintDesc() ?>"/>
				<?php
				} ?>
				<div class="control">
					<textarea name="product[description]" class="required-entry input-text" id="description" rows="5" cols="75" ><?php echo $product_coll->getDescription(); ?></textarea>							
				    <script>
						require([
						    'jquery',
						    'mage/adminhtml/wysiwyg/tiny_mce/setup'
						], function(jQuery){

							var config = '<?php echo $block->getWysiwygConfig() ?>',
							    editor;

							jQuery.extend(config, {
							    settings: {
							        theme_advanced_buttons1 : 'bold,italic,|,justifyleft,justifycenter,justifyright,|,' +
							            'fontselect,fontsizeselect,|,forecolor,backcolor,|,link,unlink,image,|,bullist,numlist,|,code',
							        theme_advanced_buttons2: null,
							        theme_advanced_buttons3: null,
							        theme_advanced_buttons4: null,
							        theme_advanced_statusbar_location: null
							    },
							    files_browser_window_url: false
							});

							editor = new tinyMceWysiwygSetup(
							    'description',
							    config
							);

							editor.turnOn();

							jQuery('#description')
						    .addClass('wysiwyg-editor')
						    .data(
						        'wysiwygEditor',
						        editor
						    );
						});
						</script>
				</div>
			</div>
			<?php

			$mp_pro_status = 0;
			$mp_pro_coll = $helper->getSellerProductDataByProductId($product_id);
			foreach ($mp_pro_coll as $key => $value) {
				$mp_pro_status = $value['status'];
			}
			if(!$helper->getIsProductEditApproval() && $mp_pro_status==1 || !$helper->getIsProductApproval() && !$helper->getIsProductEditApproval() ){ ?>
				<div class="field required">
					<label class="label"><?php echo __('Status') ?>:</label>
					<?php
					if($product_hint_status && $helper->getProductHintEnable()){?>
						<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintStatus() ?>"/>
					<?php
					} ?>
					<div class="control">
						<input type="radio" name="status" id="status" value="1" <?php if($product_coll->getStatus()==1){ echo 'checked="checked"'; } ?>/><?php echo __("Enable"); ?><br>
						<input type="radio" name="status" id="status" value="2" <?php if($product_coll->getStatus()==2){ echo 'checked="checked"'; } ?>/><?php echo __("Disable"); ?>
					</div>
				</div>
			<?php
			} ?>
			<div class="field required">
				<label class="label"><?php echo __('SKU') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintSku()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintSku() ?>"/>
				<?php
				} ?>
				<div class="control">
					<input name="product[sku]" id="sku" class="required-entry input-text" type="text" value="<?php  echo $product_coll->getsku(); ?>"/>
				</div>
				<div id="skuavail" >
					<span class="success-msg skuavailable"><?php echo __('SKU Available') ?></span>
				</div>
				<div id="skunotavail" >
					<span class="error-msg skunotavailable"><?php echo __('SKU Already Exist') ?></span>
				</div>
			</div>
			<div class="field required <?php if($product_coll['type_id']=='configurable'){ ?> no-display <?php } ?>">
				<label class="label"><?php echo __('Price') ?><b><?php echo  " (".$currency_symbol.")"; ?></b>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintPrice()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintPrice() ?>"/>
				<?php
				} ?>
				<div class="control">
					<input type="text" class="required-entry validate-zero-or-greater input-text" name="product[price]" id="price" value="<?php echo $product_coll->getPrice() ?>" data-ui-id="product-tabs-attributes-tab-fieldset-element-text-product-price"/>
				</div>
			</div>
			<?php if($product_coll['type_id']!='configurable'){ ?>
				<div class="field">
					<label class="label"><?php echo __('Special Price') ?><b><?php echo  " (".$currency_symbol.")"; ?></b>:</label>
					<?php
					if($product_hint_status && $helper->getProductHintSpecialPrice()){?>
						<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintSpecialPrice() ?>"/>
					<?php
					} ?>
					<div class="control">
						<input type="text" class="widthinput input-text validate-zero-or-greater" name="product[special_price]" id="special-price" value="<?php echo $product_coll->getSpecialPrice() ?>"/>
					</div>
				</div>
				<div class="field">
					<label class="label"><?php echo __('Special Price From') ?>:</label>
					<?php
					if($product_hint_status && $helper->getProductHintStartDate()){?>
						<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintStartDate() ?>"/>
					<?php
					} ?>
					<?php 
					if($product_coll->getData('special_from_date')){
						$special_from_date = $block->formatDate($product_coll->getData('special_from_date')); 
					}else{
						$special_from_date = '';
					} ?>
					<div class="control">
						<input type="text" name="product[special_from_date]" id="special-from-date" class="input-text" value="<?php echo $special_from_date; ?>"/>
					</div>
				</div>
				<div class="field">
					<label class="label"><?php echo __('Special Price To') ?>:</label>
					<?php
					if($product_hint_status && $helper->getProductHintEndDate()){?>
						<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintEndDate() ?>"/>
					<?php
					} ?>
					<?php 
					if($product_coll->getData('special_to_date')){
						$special_to_date = $block->formatDate($product_coll->getData('special_to_date')); 
					}else{
						$special_to_date = '';
					} ?>
					<div class="control">
						<input type="text" name="product[special_to_date]" id="special-to-date" class="input-text" value="<?php echo $special_to_date; ?>" />
					</div>
				</div>
			<?php
			} ?>
			<input id="inventory_manage_stock" type="hidden" name="product[stock_data][manage_stock]" value="<?php echo $product_coll['stock_data']['manage_stock']?>">
			<input type="hidden" value="1" name="product[stock_data][use_config_manage_stock]" id="inventory_use_config_manage_stock">
			<div class="field required">
				<label class="label"><?php echo __('Stock') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintQty()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintQty() ?>"/>
				<?php
				} ?>
				<div class="control">
					<input type="text" class="required-entry validate-number input-text" name="product[quantity_and_stock_status][qty]" id="qty" value="<?php echo $product_coll['quantity_and_stock_status']['qty'] ?>"/>
				</div>
			</div>
			<div class="field required">
				<label class="label"><?php echo __('Stock Availability') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintStock()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintStock() ?>"/>
				<?php
				} ?>
				<?php
				$is_in_stock = $product_coll['quantity_and_stock_status']['is_in_stock'];
				?>
				<div class="control">
					<select id="" class="select" name="product[quantity_and_stock_status][is_in_stock]">
						<option <?php if($is_in_stock==1) echo "selected"; ?> value="1"><?php echo __("In Stock"); ?></option>
						<option <?php if($is_in_stock==0) echo "selected"; ?> value="0"><?php echo __("Out of Stock"); ?></option>
					</select>
				</div>
			</div>
			<div class="field required">
				<label class="label"><?php echo __('Visibility') ?>:</label>
				<div class="control">
					<select id="visibility" class=" required-entry required-entry select" name="product[visibility]">
						<option value=""><?php echo __('Please Select')?></option>
						<?php
						$product_visibility = $helper->getVisibilityOptionArray();
						foreach($product_visibility as $key=>$value){
							?>
							<option value="<?php echo $key ?>" <?php if($key==$product_coll->getVisibility()){ echo "selected='selected'";}?>><?php echo $value?></option>
						<?php 
						} ?>
					</select>
				</div>
			</div>
			<div class="field required">
				<label class="label"><?php echo __('Tax Class') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintTax()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintTax() ?>"/>
				<?php
				} ?>
				<div class="control">
					<select id="tax-class-id" class=" required-entry required-entry select" name="product[tax_class_id]">
						<option value="0"><?php echo __('None')?></option>
						<?php
						$taxid=$product_coll->getData('tax_class_id');
						$taxes=$helper->getTaxClassModel();
						foreach($taxes as $tax){
							?>
							<option <?php echo $taxid==$tax->getId()? 'selected':''; ?> value="<?php echo $tax->getId() ?>"><?php echo $tax->getClassName()?></option>
						<?php 
						} ?>
					</select>
				</div>
			</div>
			<div class="field">
				<label class="label"><?php echo __('Weight') ?>:</label>
				<?php
				if($product_hint_status && $helper->getProductHintWeight()){?>
					<img src="<?php echo $this->getViewFileUrl('Webkul_Marketplace::images/quest.png'); ?>" class='questimg' title="<?php echo $helper->getProductHintWeight() ?>"/>
				<?php
				} ?>
				<div data-role="weight-switcher">
					<label data-ui-id="product-tabs-attributes-tab-element-radios-product-product-has-weight-label" for="weight-switcher">
						<span><?php echo __('Does this have a weight?')?></span>
					</label>
					<div class="control">
						<div class="control">
							<input type="radio" <?php if($product_coll['type_id']=='simple' || $product_coll['type_id']=='configurable'){ ?>checked="checked" <?php } ?> class="weight-switcher" id="weight-switcher1" value="1" name="product[product_has_weight]">
							<label for="weight-switcher1">
								<span><?php echo __('Yes')?></span>
							</label>
						</div>
						<div class="control">
							<input type="radio" <?php if($product_coll['type_id']=='downloadable'||$product_coll['type_id']=='virtual'){ ?>checked="checked" <?php } ?> class="weight-switcher" id="weight-switcher0" value="0" name="product[product_has_weight]">
							<label for="weight-switcher0">
								<span><?php echo __('No')?></span>
							</label>
						</div>
					</div>
				</div>
				<div class="control">
					<input type="text" class="validate-number validate-zero-or-greater validate-number-range number-range-0-99999999.9999 input-text" name="product[weight]" id="weight" value="<?php echo $product_coll->getWeight();?>" <?php if($product_coll['type_id']=='downloadable'||$product_coll['type_id']=='virtual'){ ?>disabled="disabled" <?php } ?>/>
				</div>
			</div>
			<div class="field">
				<label class="label"><?php echo __('Meta Title') ?>:</label>
				<div class="control">
					<input type="text" class="input-text" name="product[meta_title]" id="meta_title" value="<?php echo $product_coll['meta_title'] ?>"/>
				</div>
			</div>
			<div class="field">
				<label class="label"><?php echo __('Meta Keywords') ?>:</label>
				<div class="control">
					<textarea class="textarea" id="meta_keyword" name="product[meta_keyword]"><?php echo $product_coll['meta_keyword'] ?></textarea>
				</div>
			</div>
			<div class="field">
				<label class="label"><?php echo __('Meta Description') ?>:</label>
				<div class="control">
					<textarea class="textarea" id="meta_description" name="product[meta_description]"><?php echo $product_coll['meta_description'] ?></textarea>
				</div>
			</div>
			<?php echo $block->getChildHtml(); ?>
			<div class="buttons-set field required">
				<p class="label"><?php echo __('Required Fields') ?></p>
				<p class="back-link">
					<a class="left" onclick="javascript: window.history.back();" href="javascript:;">&laquo; <?php echo __('Back') ?></a>
				</p>
			</div>
		</fieldset>
	</div>
</form>
<?php
$formData = [
	'productTypeId'		  => $product_coll['type_id'],
	'categories'		  => implode(',',$categories),
    'countryPicSelector'  => '#country-pic',
    'verifySkuAjaxUrl' 	  => $block->getUrl('marketplace/product/verifysku', ['_secure' => $this->getRequest()->isSecure()]),
    'categoryTreeAjaxUrl' => $block->getUrl('marketplace/product/categorytree/', ['_secure' => $this->getRequest()->isSecure()])
];
$serializedFormData = $this->helper('Magento\Framework\Json\Helper\Data')->jsonEncode($formData);
?>

<script type="text/x-magento-init">
    {
        "*": {
            "sellerEditProduct": <?php /* @noEscape */ echo $serializedFormData; ?>
        }
    }
</script>
<script type='text/javascript'>
    require(['jquery', 'prototype', 'domReady!'], function($) {
        var qty = $('#qty'),
            productType = $('#product_type_id').val(),
            stockAvailabilityField = $('#quantity_and_stock_status'),
            manageStockField = $('#inventory_manage_stock'),
            useConfigManageStockField = $('#inventory_use_config_manage_stock'),
            fieldsAssociations = {
                'qty': 'inventory_qty',
                'quantity_and_stock_status': 'inventory_stock_availability'
            };

        var qtyDefaultValue = qty.val();
    })
</script>
<script>
	require([
	    "jquery",
	    "Webkul_Marketplace/catalog/type-events"
	], function($, TypeSwitcher){
	    var $form = $('[data-form=edit-product]');
	    $form.data('typeSwitcher', TypeSwitcher.init());
	});
</script>
<script type="text/x-magento-init">
    {
        "*": {
            "Webkul_Marketplace/js/product/weight-handler": {},
            "Webkul_Marketplace/catalog/apply-to-type-switcher": {}
        }
    }
</script>
